### Method

# St IconInfo load_icon_finish

#### Declaration [src]

    GdkPixbuf*
    st_icon_info_load_icon_finish (
      StIconInfo* icon_info,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an async icon load, see st_icon_info_load_icon_async().

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

The rendered icon; this may be a newly created icon or a new reference to an internal icon, so you must not modify the icon. Use `g_object_unref()` to release your reference to the icon.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.